Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica
Class CompileQuery

    java.lang.Object
      com.saxonica.CompileQuery

    public class CompileQuery

extends java.lang.Object

This class provides a command line interface for compiling XQuery queries into Java code

Constructor Summary
`CompileQuery()`

Method Summary
`static void` | `main(java.lang.String[] args)` Entry point from the command line
`void` | `run(java.lang.String[] args)` Run the query compiler

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompileQuery

    public CompileQuery()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Entry point from the command line

  Parameters:
    `args` - the command line arguments
  Throws:
    `java.lang.Exception` - if any failre occurs

### run

    public void run(java.lang.String[] args)
             throws java.lang.Exception

  Run the query compiler

  Parameters:
    `args` - the command line arguments
  Throws:
    `java.lang.Exception` - if any failure occurs

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.